<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	 xmlns:p="http://www.springframework.org/schema/p"
	 xmlns:http="http://cxf.apache.org/transports/http/configuration" xmlns="http://www.springframework.org/schema/beans"
	 xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
						http://cxf.apache.org/transports/http/configuration http://cxf.apache.org/schemas/configuration/http-conf.xsd">

	<bean id="wfNodeReportReader"
		class="eu.dnetlib.ariadneplus.workflows.nodes.ReportReaderJobNode"
		scope="prototype"/>

	<bean id="wfNodePublishVirtuoso"
	      class="eu.dnetlib.ariadneplus.workflows.nodes.PublishVirtuosoJobNode"
	      scope="prototype"/>

	<bean id="wfNodePublishJRR"
	      class="eu.dnetlib.ariadneplus.workflows.nodes.PublishJRRJobNode"
	      scope="prototype"/>

	<bean id="wfNodeUnpublishVirtuoso"
	      class="eu.dnetlib.ariadneplus.workflows.nodes.UnpublishVirtuosoJobNode"
	      scope="prototype"/>

	<bean id="wfNodeClarinAPIGenerator" class="eu.dnetlib.ariadneplus.workflows.nodes.ClarinAPIGeneratorJobNode" scope="prototype"/>
	<bean id="wfNodeRegisterClarinWorkflowFromTemplate" class="eu.dnetlib.ariadneplus.workflows.nodes.RegisterClarinWorkflowFromTemplateJobNode" scope="prototype"/>

	<bean id="wfNodeReadVirtuoso" class="eu.dnetlib.ariadneplus.workflows.nodes.ReadVirtuosoJobNode" scope="prototype"/>
	<bean id="wfNodeReadVirtuosoByType" class="eu.dnetlib.ariadneplus.workflows.nodes.ReadVirtuosoByTypeJobNode" scope="prototype"/>

</beans>
